<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/plotwindow.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">plotwindow.cpp File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="plotwindow_8h_source.html">plotwindow.h</a>&quot;</code><br />
<code>#include &quot;./ui_plotwindow.h&quot;</code><br />
<code>#include &quot;<a class="el" href="dataframe_8h_source.html">dataframe.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="statistic_8h_source.html">statistic.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="graphs_8h_source.html">graphs.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="dynamicui_8h_source.html">dynamicui.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="utils_8h_source.html">utils.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="tcontainer_8h_source.html">tcontainer.h</a>&quot;</code><br />
<code>#include &lt;QMessageBox&gt;</code><br />
<code>#include &lt;QVBoxLayout&gt;</code><br />
<code>#include &lt;QHBoxLayout&gt;</code><br />
<code>#include &lt;QChart&gt;</code><br />
<code>#include &lt;QChartView&gt;</code><br />
<code>#include &lt;QColorDialog&gt;</code><br />
<code>#include &lt;QColor&gt;</code><br />
<code>#include &lt;QPalette&gt;</code><br />
<code>#include &lt;QDebug&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for plotwindow.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="plotwindow_8cpp__incl.png" border="0" usemap="#aalat_za_analitiku_2src_2plotwindow_8cpp" alt=""/></div>
<map name="aalat_za_analitiku_2src_2plotwindow_8cpp" id="aalat_za_analitiku_2src_2plotwindow_8cpp">
<area shape="rect" title=" " alt="" coords="2842,5,2970,48"/>
<area shape="rect" href="plotwindow_8h.html" title=" " alt="" coords="2516,96,2611,123"/>
<area shape="poly" title=" " alt="" coords="2842,46,2627,96,2626,91,2841,40"/>
<area shape="rect" href="dataframe_8h.html" title=" " alt="" coords="2296,179,2385,205"/>
<area shape="poly" title=" " alt="" coords="2841,32,2765,37,2672,48,2573,68,2476,98,2445,114,2415,132,2367,170,2364,166,2412,128,2442,109,2474,94,2571,62,2671,43,2764,31,2841,27"/>
<area shape="rect" title=" " alt="" coords="2409,179,2507,205"/>
<area shape="poly" title=" " alt="" coords="2842,34,2754,42,2655,54,2565,73,2530,85,2505,98,2491,112,2480,129,2466,165,2461,163,2475,127,2487,109,2502,94,2528,80,2563,68,2654,49,2753,37,2841,29"/>
<area shape="rect" title=" " alt="" coords="2943,96,3063,123"/>
<area shape="poly" title=" " alt="" coords="2933,47,2978,84,2975,88,2929,51"/>
<area shape="rect" href="statistic_8h.html" title=" " alt="" coords="5,179,84,205"/>
<area shape="poly" title=" " alt="" coords="2841,33,2241,58,1371,99,1176,105,1011,106,729,102,594,105,450,115,288,137,97,173,88,176,86,171,96,168,287,132,450,110,594,99,729,97,1011,100,1176,100,1371,93,2240,53,2841,28"/>
<area shape="rect" href="graphs_8h.html" title=" " alt="" coords="1384,96,1455,123"/>
<area shape="poly" title=" " alt="" coords="2842,34,1471,108,1471,103,2841,29"/>
<area shape="rect" href="dynamicui_8h.html" title=" " alt="" coords="2778,96,2869,123"/>
<area shape="poly" title=" " alt="" coords="2886,51,2849,87,2845,83,2883,47"/>
<area shape="rect" href="tcontainer_8h.html" title=" " alt="" coords="2779,179,2868,205"/>
<area shape="poly" title=" " alt="" coords="2842,45,2801,65,2783,80,2768,97,2763,115,2769,133,2781,151,2796,167,2792,170,2777,154,2764,135,2758,115,2763,95,2779,76,2798,61,2840,40"/>
<area shape="rect" title=" " alt="" coords="3113,261,3216,288"/>
<area shape="poly" title=" " alt="" coords="2908,48,2913,86,2921,105,2933,121,2955,137,2978,148,3000,154,3023,155,3069,150,3115,139,3161,128,3206,124,3228,128,3250,136,3271,149,3292,169,3299,180,3301,192,3292,215,3280,230,3265,242,3231,260,3229,255,3262,238,3276,226,3288,212,3296,191,3294,182,3288,172,3268,153,3248,141,3227,133,3206,130,3162,133,3117,144,3070,155,3023,161,3000,159,2976,153,2953,142,2929,125,2916,108,2908,87,2903,49"/>
<area shape="rect" href="utils_8h.html" title=" " alt="" coords="2318,96,2374,123"/>
<area shape="poly" title=" " alt="" coords="2842,37,2643,61,2398,99,2390,100,2389,95,2397,93,2642,56,2841,32"/>
<area shape="rect" title=" " alt="" coords="3087,96,3194,123"/>
<area shape="poly" title=" " alt="" coords="2967,46,3090,88,3088,93,2965,51"/>
<area shape="rect" title=" " alt="" coords="3219,96,3321,123"/>
<area shape="poly" title=" " alt="" coords="2971,40,3204,91,3203,96,2970,45"/>
<area shape="rect" title=" " alt="" coords="3345,96,3408,123"/>
<area shape="poly" title=" " alt="" coords="2971,33,3130,57,3331,93,3330,98,3130,62,2970,39"/>
<area shape="rect" title=" " alt="" coords="3431,96,3522,123"/>
<area shape="poly" title=" " alt="" coords="2971,32,3166,56,3417,93,3416,98,3165,61,2970,38"/>
<area shape="rect" title=" " alt="" coords="3546,96,3607,123"/>
<area shape="poly" title=" " alt="" coords="2971,29,3214,49,3370,67,3531,93,3530,98,3369,72,3213,54,2970,34"/>
<area shape="rect" title=" " alt="" coords="3631,96,3703,123"/>
<area shape="poly" title=" " alt="" coords="2970,28,3247,48,3429,66,3616,93,3615,98,3428,72,3247,53,2970,34"/>
<area shape="rect" title=" " alt="" coords="3728,96,3796,123"/>
<area shape="poly" title=" " alt="" coords="2970,27,3104,33,3286,44,3496,64,3713,93,3712,99,3496,69,3286,50,3103,38,2970,32"/>
<area shape="rect" title=" " alt="" coords="2531,179,2636,205"/>
<area shape="poly" title=" " alt="" coords="2569,123,2579,163,2574,165,2564,124"/>
<area shape="poly" title=" " alt="" coords="2529,126,2390,176,2389,171,2527,121"/>
<area shape="rect" title=" " alt="" coords="2660,179,2755,205"/>
<area shape="poly" title=" " alt="" coords="2587,121,2673,169,2670,173,2584,125"/>
<area shape="rect" title=" " alt="" coords="2126,179,2272,205"/>
<area shape="poly" title=" " alt="" coords="2516,123,2284,173,2267,177,2266,172,2283,168,2514,118"/>
<area shape="poly" title=" " alt="" coords="2548,125,2488,171,2484,167,2545,121"/>
<area shape="rect" title=" " alt="" coords="2285,261,2396,288"/>
<area shape="poly" title=" " alt="" coords="2343,206,2343,246,2338,246,2338,206"/>
<area shape="rect" title=" " alt="" coords="279,261,344,288"/>
<area shape="poly" title=" " alt="" coords="2311,208,2285,216,2158,229,1942,240,1356,258,360,275,360,270,1356,253,1942,235,2158,224,2284,211,2310,203"/>
<area shape="rect" title=" " alt="" coords="1519,261,1589,288"/>
<area shape="poly" title=" " alt="" coords="2311,208,2285,216,2188,234,2089,248,1895,266,1726,274,1604,276,1604,271,1725,269,1895,261,2089,243,2188,229,2284,211,2309,203"/>
<area shape="poly" title=" " alt="" coords="77,203,97,211,264,259,263,264,96,216,75,208"/>
<area shape="poly" title=" " alt="" coords="73,203,97,211,228,230,402,244,605,255,820,262,1228,270,1504,271,1504,276,1228,275,820,268,605,260,402,250,227,235,96,216,71,208"/>
<area shape="rect" title=" " alt="" coords="21,261,68,288"/>
<area shape="poly" title=" " alt="" coords="47,206,47,246,42,246,42,206"/>
<area shape="poly" title=" " alt="" coords="1455,109,1862,128,2107,145,2208,156,2285,168,2296,171,2295,176,2284,173,2208,161,2106,150,1862,133,1455,115"/>
<area shape="poly" title=" " alt="" coords="1384,114,807,132,492,150,386,161,354,167,338,173,326,188,318,207,312,246,307,245,313,205,321,185,335,168,352,162,385,156,492,145,807,127,1383,109"/>
<area shape="poly" title=" " alt="" coords="1456,120,1495,139,1513,153,1529,169,1540,187,1548,207,1555,245,1550,246,1543,209,1535,190,1525,172,1510,157,1492,143,1454,125"/>
<area shape="poly" title=" " alt="" coords="1455,110,1727,126,1915,144,2108,168,2132,172,2132,178,2107,173,1915,149,1726,132,1455,115"/>
<area shape="rect" title=" " alt="" coords="2496,261,2569,288"/>
<area shape="poly" title=" " alt="" coords="1455,109,1585,112,1762,122,1938,139,2011,152,2064,168,2080,178,2091,190,2100,201,2115,211,2171,224,2271,239,2481,265,2480,270,2270,244,2170,229,2113,216,2097,205,2087,193,2077,182,2062,173,2009,157,1938,145,1762,127,1585,118,1455,114"/>
<area shape="rect" title=" " alt="" coords="1591,179,1709,205"/>
<area shape="poly" title=" " alt="" coords="1456,121,1601,171,1599,176,1454,126"/>
<area shape="rect" title=" " alt="" coords="1902,179,2051,205"/>
<area shape="poly" title=" " alt="" coords="1456,111,1642,132,1890,168,1912,172,1911,177,1889,173,1642,137,1455,117"/>
<area shape="rect" title=" " alt="" coords="108,179,274,205"/>
<area shape="poly" title=" " alt="" coords="1383,113,1213,116,945,124,623,142,456,156,293,173,263,178,262,173,292,168,456,150,623,136,945,118,1213,110,1383,108"/>
<area shape="rect" title=" " alt="" coords="349,179,495,205"/>
<area shape="poly" title=" " alt="" coords="1383,114,1242,116,1026,125,769,143,637,156,508,173,485,177,484,172,507,168,636,151,769,138,1025,120,1241,111,1383,108"/>
<area shape="rect" title=" " alt="" coords="519,179,658,205"/>
<area shape="poly" title=" " alt="" coords="1383,114,1088,128,881,146,670,173,650,177,649,172,669,168,880,141,1087,123,1383,109"/>
<area shape="rect" title=" " alt="" coords="682,179,794,205"/>
<area shape="poly" title=" " alt="" coords="1383,114,1140,129,974,147,806,173,791,177,790,172,805,168,974,142,1139,124,1383,109"/>
<area shape="rect" title=" " alt="" coords="818,179,938,205"/>
<area shape="poly" title=" " alt="" coords="1383,116,1197,135,1074,152,950,173,935,177,934,172,949,168,1073,146,1196,130,1383,111"/>
<area shape="rect" title=" " alt="" coords="1734,179,1878,205"/>
<area shape="poly" title=" " alt="" coords="1456,115,1721,168,1739,172,1738,177,1720,173,1455,120"/>
<area shape="rect" title=" " alt="" coords="962,179,1090,205"/>
<area shape="poly" title=" " alt="" coords="1384,119,1258,141,1101,173,1086,177,1085,172,1100,168,1257,136,1383,114"/>
<area shape="rect" title=" " alt="" coords="1113,179,1299,205"/>
<area shape="poly" title=" " alt="" coords="1387,126,1254,175,1252,170,1385,121"/>
<area shape="rect" title=" " alt="" coords="1323,171,1516,213"/>
<area shape="poly" title=" " alt="" coords="1422,123,1422,155,1417,155,1417,123"/>
<area shape="poly" title=" " alt="" coords="2787,126,2636,176,2634,171,2785,121"/>
<area shape="poly" title=" " alt="" coords="2778,117,2609,135,2504,152,2398,173,2388,176,2387,171,2397,168,2503,146,2609,130,2777,112"/>
<area shape="poly" title=" " alt="" coords="2807,125,2739,172,2736,168,2804,121"/>
<area shape="rect" title=" " alt="" coords="3094,179,3155,205"/>
<area shape="poly" title=" " alt="" coords="2870,118,2985,143,3083,168,3087,170,3085,175,3081,173,2984,148,2869,123"/>
<area shape="rect" title=" " alt="" coords="3179,179,3278,205"/>
<area shape="poly" title=" " alt="" coords="2870,117,2888,120,3028,141,3090,151,3168,168,3179,171,3178,176,3167,173,3089,156,3027,146,2887,125,2869,122"/>
<area shape="rect" title=" " alt="" coords="2892,179,2954,205"/>
<area shape="poly" title=" " alt="" coords="2840,121,2898,167,2895,171,2837,125"/>
<area shape="rect" title=" " alt="" coords="2979,179,3070,205"/>
<area shape="poly" title=" " alt="" coords="2856,121,2980,170,2978,175,2854,126"/>
<area shape="poly" title=" " alt="" coords="2826,123,2826,163,2821,163,2821,123"/>
<area shape="poly" title=" " alt="" coords="2790,208,2768,216,2584,264,2583,259,2766,211,2789,203"/>
<area shape="rect" title=" " alt="" coords="2669,261,2772,288"/>
<area shape="poly" title=" " alt="" coords="2809,208,2750,254,2747,249,2805,204"/>
<area shape="rect" title=" " alt="" coords="2796,261,2851,288"/>
<area shape="poly" title=" " alt="" coords="2826,206,2826,246,2821,246,2821,206"/>
<area shape="poly" title=" " alt="" coords="2858,203,2881,211,2996,239,3098,259,3097,264,2994,244,2880,216,2856,208"/>
<area shape="rect" title=" " alt="" coords="2876,261,2939,288"/>
<area shape="poly" title=" " alt="" coords="2838,204,2886,249,2882,253,2834,208"/>
<area shape="poly" title=" " alt="" coords="2348,123,2345,164,2340,163,2342,123"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a7a9a231e30b47bc0345749c8bd1e5077" id="r_a7a9a231e30b47bc0345749c8bd1e5077"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7a9a231e30b47bc0345749c8bd1e5077">MAX_LENGTH</a>&#160;&#160;&#160;15</td></tr>
<tr class="separator:a7a9a231e30b47bc0345749c8bd1e5077"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa36d375a6e66ef35f3e7554178aa3950" id="r_aa36d375a6e66ef35f3e7554178aa3950"><td class="memItemLeft" align="right" valign="top">QChart *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa36d375a6e66ef35f3e7554178aa3950">returnPlot</a> (QString &amp;type, <a class="el" href="class_data_frame.html">DataFrame</a> &amp;df, QString &amp;xAxis, QString &amp;yAxis, QString &amp;stat, QColor &amp;color)</td></tr>
<tr class="separator:aa36d375a6e66ef35f3e7554178aa3950"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a7a9a231e30b47bc0345749c8bd1e5077" name="a7a9a231e30b47bc0345749c8bd1e5077"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a9a231e30b47bc0345749c8bd1e5077">&#9670;&#160;</a></span>MAX_LENGTH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MAX_LENGTH&#160;&#160;&#160;15</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="aa36d375a6e66ef35f3e7554178aa3950" name="aa36d375a6e66ef35f3e7554178aa3950"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa36d375a6e66ef35f3e7554178aa3950">&#9670;&#160;</a></span>returnPlot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QChart * returnPlot </td>
          <td>(</td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>type</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_data_frame.html">DataFrame</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>df</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>xAxis</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>yAxis</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>stat</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QColor &amp;</td>          <td class="paramname"><span class="paramname"><em>color</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
